package com.tourism.webadmin.app.website.dto;

import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import lombok.Data;

@Data
public class CreateMemberDto {
    // 接收者id
    private String getUserId;
    // 发送者id
    private String sendUserId;
    // 群id
    @NotNull(message = "会话ID不能为空")
    private String groupId;

    /**
     *     群类型 1:私聊2:群聊 3系统
     */
    private Integer noticeType;
}
