package com.tourism.webadmin.app.website.dto;

import lombok.Data;

@Data
public class InteractionMessageDto extends MessageContentBase {
    /**业务ID*/
    private String id;
    //BusinessType 枚举
    /**类型 1 游记  */
    private String type;
    /** 评论ID */
    private String reviewId;
    /**内容*/
    private String messageContent;
    /**0文字 1图片 2音频 3视频 4链接*/
    private  Integer messageType;
    /**封面图片地址*/
    private  String imageUrl;
    /** 5点赞通知 6评论通知 7收藏通知 8浏览通知 9访问主页通知 10评论区艾特通知 11文章内艾特通知*/
    private  String noticeType;
}
