package com.tourism.webadmin.app.website.dto;

import com.tourism.common.core.validator.UpdateGroup;
import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotBlank;
import lombok.Data;

@Data
public class UpdateTourMemberDto {


    @Schema(description = "群聊ID。")
    @NotBlank(message = "群聊ID不能为空",groups = {UpdateGroup.class})
    private Long groupId;

    @Schema(description = "修改备注")
    private String remark;

    @Schema(description = "修改自己在群里的备注")
    private String groupNickname;


}
