package com.tourism.webadmin.app.website.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

@Data
@TableName(value = "tour_im_group")
public class TourShortImGroup {
    /**
     * 群聊id。
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 群聊名称。
     */
    @TableId(value = "group_name")
    private String groupName;

    /**
     * 群聊头像。
     */
    @TableId(value = "group_avatar")
    private String groupAvatarUrl;

    /**
     * 群成员人数。
     */
    @TableField(exist = false)
    private Integer count;

    /**
     * 群成员头像。
     */
    @TableField(exist = false)
    private List<String> memberHeadImg;
}
