package com.tourism.webadmin.app.website.vo;


import lombok.Data;

@Data
public class HomePageDetailsVo {
    /**
     * 主键Id。
     */
    private String userId;

    /**
     * 昵称。
     */
    private String showName;

    /**
     * 用户头像的Url。
     */
    private String headImageUrl;

    /**
     * 性别(1:男 2:女 3:其它)。
     */
    private String sex;

    /**
     * 个性签名
     */
    private String personalSign;

    /**
     *  关注数量
     */
    private String numberOfConcern;

    /**
     *  粉丝数量
     */
    private String numberOfFollowers;

    /**
     *  获赞
     */
    private Long praiseNum;

    /**
     *  关注状态
     */
    private String state;

}
