package com.tourism.webadmin.back.model;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;

/**
 * 游记评论中提到的用户实体对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Data
@TableName(value = "tour_travel_notes_comment_mention_user")
public class TourTravelNotesCommentMentionUser {

    /**
     * 主键id。
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 评论id。
     */
    @TableField(value = "comment_id")
    private Long commentId;

    /**
     * 写游记提到的用户昵称。
     */
    @TableField(value = "user_name")
    private String userName;

    /**
     * 写游记提到的用户id。
     */
    @TableField(value = "user_id")
    private Long userId;
}
