package com.tourism.webadmin.back.model;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;

/**
 * 游记与话题关联实体对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Data
@TableName(value = "tour_travel_notes_topic_relation")
public class TourTravelNotesTopicRelation {

    /**
     * 主键id。
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 游记id。
     */
    @TableField(value = "travel_notes_id")
    private Long travelNotesId;

    /**
     * 话题id。
     */
    @TableField(value = "topic_id")
    private Long topicId;

    /**
     * 话题名称。
     */
    @TableField(value = "topic_name")
    private String topicName;
}
