package com.tourism.webadmin.back.vo;

import com.tourism.common.core.base.vo.BaseVo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 游记内容表VO视图对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Schema(description = "游记内容表VO视图对象")
@Data
@EqualsAndHashCode(callSuper = true)
public class TourTourismProjectTravelNotesWriteContentVo extends BaseVo {

    /**
     * 主键id。
     */
    @Schema(description = "主键id")
    private Long id;

    /**
     * 关联表id。
     */
    @Schema(description = "关联表id")
    private Long associationId;

    /**
     * 内容。
     */
    @Schema(description = "内容")
    private String content;
}
