package com.tourism.webadmin.back.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * 用户与话题的关联表VO视图对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Schema(description = "用户与话题的关联表VO视图对象")
@Data
public class TourUserLikeTopicVo {

    /**
     * 主键id。
     */
    @Schema(description = "主键id")
    private Long id;

    /**
     * 门户用户id。
     */
    @Schema(description = "门户用户id")
    private Long tourUserId;

    /**
     * 游记话题id。
     */
    @Schema(description = "游记话题id")
    private Long tourTravelNotesTopicId;

    /**
     * 游记话题名称。
     */
    @Schema(description = "游记话题名称")
    private String tourTravelNotesTopicName;
}
