package com.tourism.webadmin.app.website.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class UpdateSingleTourMemberDto {

    @Schema(description = "群聊ID")
    private Long groupId;

    @Schema(description = "会话是否置顶 (每个群在聊天列表要不要置顶)  0不置顶 1 置顶")
    private Integer isTop;

    @Schema(description = "会话是否开启免打扰 0不开启免打扰 1 开启免打扰")
    private Integer isNotDisturb;

    @Schema(description = "会话是否显示(每个群在聊天列表要不要展示) 0不显示 1显示")
    private Integer isShow;

    @Schema(description = "聊天背景")
    private String groupBackImage;
}

