package com.tourism.webadmin.app.website.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

@Data
public class TourShortImGroupVo {
    /**
     * 群聊id。
     */
    @Schema(description = "群聊id")
    private String id;

    /**
     * 群聊名称。
     */
    @Schema(description = "群聊名称")
    private String groupName;

    /**
     * 群聊头像。
     */
    @Schema(description = "群聊头像的Url")
    private String groupAvatarUrl;

    /**
     * 群成员人数。
     */
    @Schema(description = "群成员人数")
    private Integer count;

    /**
     * 群成员头像。
     */
    @TableField(exist = false)
    private List<String> memberHeadImg;
}
