package com.tourism.webadmin.app.website.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.tourism.common.core.annotation.RelationConstDict;
import com.tourism.common.core.annotation.RelationGlobalDict;
import com.tourism.common.core.annotation.UploadFlagColumn;
import com.tourism.common.core.upload.UploadStoreTypeEnum;
import com.tourism.common.core.util.MyCommonUtil;
import com.tourism.webadmin.upms.model.constant.SysUserStatus;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.Date;
import java.util.Map;

@Data
public class TourShortUserVo {
    /**
     * 主键Id。
     */
    @Schema(description = "主键Id")
    private String userId;

    /**
     * 昵称。
     */
    @Schema(description = "昵称")
    private String showName;

    /**
     * 用户头像的Url。
     */
    @Schema(description = "用户头像的Url")
    private String headImageUrl;
}
