package com.tourism.webadmin.app.website.vo;

import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
public class TravelNotesByStateVo {


    /**
     * 主键id。
     */
    private String id;
    /**
     *  是否置顶
     */
    private String isTop;

    /**
     * 项目标题。
     */
    private String projectTitle;

    /**
     * 审核不通过的原因。
     */
    private String reason;

    /**
     * 项目展示图。
     */
    private String tourismUrl;
    /**
     *  封面图
     */
    private List<String> imageUrl;
    /**
     * 上下架状态(0,下架;1,上架)。
     */
    private Integer unmountState;

    /**是否收藏 0 否 1 是*/
    private String isCollect;

    /**更新时间*/
    private Date updateTime;

    /**浏览量*/
    private String pageViewCount;
}
