package com.tourism.webadmin.back.model;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;

/**
 * 游记提及的用户实体对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Data
@TableName(value = "tour_travel_notes_mention_user")
public class TourTravelNotesMentionUser {

    /**
     * 主键id。
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 游记id。
     */
    @TableField(value = "travel_notes_id")
    private Long travelNotesId;

    /**
     * 写游记提到的用户昵称。
     */
    @TableField(value = "user_name")
    private String userName;

    /**
     * 写游记提到的用户id。
     */
    @TableField(value = "user_id")
    private Long userId;
}
