package com.tourism.webadmin.back.model;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;

/**
 * 用户与评论的点赞关系表实体对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Data
@TableName(value = "tour_user_comment_like_relation")
public class TourUserCommentLikeRelation {
    /**
     *  id
     */
    @TableId(value = "id",type = IdType.AUTO)
    private Long id;

    /**
     * 用户Id。
     */
    @TableField(value = "user_id")
    private Long userId;

    /**
     * 评论id。
     */
    @TableField(value = "comment_id")
    private Long commentId;
}
