package com.tourism.webadmin.back.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * 游记中的图片VO视图对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Schema(description = "游记中的图片VO视图对象")
@Data
public class TourTravelNotesImgVo {

    /**
     * id。
     */
    @Schema(description = "id")
    private Long id;

    /**
     * 图片地址。
     */
    @Schema(description = "图片地址")
    private String imgUrl;

    /**
     * 游记id。
     */
    @Schema(description = "游记id")
    private Long travelNotesId;
}
