package com.tourism.webadmin.back.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * 游记与话题关联VO视图对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Schema(description = "游记与话题关联VO视图对象")
@Data
public class TourTravelNotesTopicRelationVo {

    /**
     * 主键id。
     */
    @Schema(description = "主键id")
    private Long id;

    /**
     * 游记id。
     */
    @Schema(description = "游记id")
    private Long travelNotesId;

    /**
     * 话题id。
     */
    @Schema(description = "话题id")
    private Long topicId;

    /**
     * 话题名称。
     */
    @Schema(description = "话题名称")
    private String topicName;
}
